diff bootstrap @ 15414:494f9bac8862

build: Rename autogen.sh script to bootstrap to conform to GNU guidelines. * bootstrap: renamed from autogen.sh. * autogen.sh: deleted. * build-aux/bootstrap_gnulib: renamed from bootstrap. * build-aux/bootstrap: deleted. * build-aux/bootstrap_gnulib.conf: renamed from bootstrap.conf. * build-aux/bootstrap.conf: deleted. * Makefile.am: add bootstrap and bootstrap_gnulib to EXTRA_DIST. * contrib.txi, HACKING, README.MacOS, README.MinGW, mx-ops, sparse-mx-ops, vx-ops: Replace references to autogen.sh with bootstrap.
author Rik <rik@octave.org>
date Tue, 18 Sep 2012 15:32:50 -0700
parents autogen.sh@648dabbb4c6b
children b91fc9348e2e
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bootstrap	Tue Sep 18 15:32:50 2012 -0700
@@ -0,0 +1,53 @@
+#! /bin/sh
+# bootstrap
+# Run this to generate all the initial makefiles, etc.
+
+set -e
+
+## Use --foreign since we auto-generate the AUTHORS file and the default
+## --gnu strictness level doesn't like it if the AUTHORS file is missing.
+
+AUTOMAKE="automake --foreign --warnings=no-portability"
+export AUTOMAKE
+
+## Check for files that automake --gnu would normally look for, except
+## AUTHORS, which we autogenerate from the documentation files along with
+## building the rest of Octave, and INSTALL, which is linked from
+## gnulib/doc/INSTALL by the bootstrap script.
+
+for f in NEWS README COPYING; do
+  if ! test -f $f; then
+    echo "required file $f is missing" 2>&1
+    exit 1
+  fi
+done
+
+echo "generating source lists for liboctave/operators/module.mk..."
+
+(cd liboctave/operators; ./config-ops.sh)
+
+echo "generating doc/interpreter/images.mk..."
+
+(cd doc/interpreter; ./config-images.sh)
+
+echo "generating libinterp/dldfcn/module.mk..."
+
+(cd libinterp/dldfcn; ./config-module.sh)
+
+echo "bootstrapping..."
+
+build-aux/bootstrap_gnulib "$@"
+
+## G77 is obsolete, but it is still the first option in the autoconf Fortran
+## macros.  We should avoid it, because mixing old versions of g77 with modern
+## gcc and g++ causes trouble.  The following will make it harder (but not
+## impossible) for users to make this mistake.
+##
+## FIXME -- we should really work to fix autoconf so that it prefers gfortran
+## over g77 even when searching for a Fortran 77 compiler.
+
+echo "replacing all occurrences of g77 with gfortran in configure script..."
+
+sed 's/g77/gfortran/g' configure > configure.t
+mv configure.t configure
+chmod 755 configure